[IPython-User] why do I get a "deprecated" message from the latest nbconvert?

Matthias BUSSONNIER bussonniermatthias@gmail....
Mon Apr 1 04:39:20 CDT 2013


Hi Nitin, 

Le 1 avr. 2013 à 04:39, Nitin Borwankar a écrit :

> I just cloned the git repo for nbconvert and on trying 
> nbconvert --help I get a message
> 
> ======================================================
> Warning, we are deprecating this version of nbconvert,
> please consider using the new version.
> ======================================================
> 
> questions
> 
> a) What is the "new version"?
> b) Where can I find it?

Just use nbconvert2.py that is in the same folder. it is re-written from scratch and can be used as a library too. 

> c) Is this message telling me something wrong or obsolete?

We are just not bug-fixing nbconvert1. Nbconvert2 is under development but much more maintainable and 
for some converter already much more advance than nbconvert1. If you use nbviewer then you'll used nbconvert2.

Nbconvert is still not really user friendly and is still consider under dev (no backward compatibility assured) but it 
will be merged into IPython itself before next release. 
-- 
Matthias

> 
> Thanks much,
> 
> Nitin
> 
> ------------------------------------------------------------------
> Nitin Borwankar 
> nborwankar@gmail.com
> _______________________________________________
> IPython-User mailing list
> IPython-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/ipython-user



More information about the IPython-User mailing list